;**************************************************************
; Odstartovn pevodu
;............................
; pokud nepijde presenc puls, ukon se podprogram
;**************************************************************
convt	call	resds		;reset/presence
	btfss	PRESEN
	return			;nepiel presence puls
;............................
	movlw	0cch		;skip rom
	call	wrds
;............................
	movlw	44h		;convert temperature
	call	wrds
	return
;**************************************************************
; ten teploty z idla
;.......................................
; teplota se ulo do TEMPH a TEMPL
; sprvnost ten je kontrolovna vpotem CRC
; Pokud nepijde PRESENC puls ukon se podprogram a do W se
; ulo 01h
; Jsou-li data sprvn peten, nastav se do W hodnota 00h
; nejsou-li data sprvn peten, nastav se do W hodnota 01h
;**************************************************************
rdt		call	resds		;reset/presence
		btfss	PRESEN
		retlw	01h		;nepiel presence puls od idla
;............................
		movlw	0cch		;skip rom
		call	wrds
;............................
		movlw	0beh		;read scratchpad
		call	wrds
;............................
		clrf	CRC		;inicializace CRC
		call	rdds		;temperature LSB
		movfw	T_RDAT		;do TEMPL
		movwf	TEMPL
		call	vypcrc
		call	rdds		;temperature MSB
		movfw	T_RDAT		;do TEMPH
		movwf	TEMPH
		call	vypcrc
;.............................
		movlw	07h		;data slou pouze pro
		movwf	CTBYTE		;vpoet CRC
;.............................
rdt1		call	rdds
		call	vypcrc
		decfsz CTBYTE,f
		goto	rdt1
;.............................
		movfw	CRC		;kontrola CRC=0?
		btfss	SWR,Z
		retlw	01h		;patn peten data
		retlw	00h		;peten data jsou OK
