;**********************************************************
; Podprogram pro zpis nov hodnoty do DS1267
; potenciometru 1
;..........................................................
; Pouit symboly, kter mus bt nadefinovny v programu
; .......................................
; rPot	 registr v nm je hodnota pro potenciometr
; po vysln dat do DS1267 ji neobsahuje pvodn hodnotu
; C	 SWR(0) bit Carry SWR registru
; RP0	 SWR(5) bit pro nastaven strnky pamti dat
; CtBits ta penesench bit	
; .......................................
; DQ	RA0 datov vvod obvodu DS1267
; CLK	RA1 vstup hodin obvodu DS1267
; -RST	RA2 vstup signlu reset obvodu DS1267 (NRST)
;**********************************************************
SWR	equ	03h
PortA	equ	05h
rPot	equ	10h
CtBits	equ	11h
#define	C	SWR,0
#define	RP0	SWR,5
#define	DQ	PortA,0
#define	CLK	PortA,1
#define	NRST	PortA,2
;**********************************************************
WrPot1	bsf	RP0		;nastav DQ jako vstup
	bsf	DQ
	bcf	RP0
;................................
	bsf	NRST		;DS1267 pro prci s SPI
;................................
; modifikace nastaven DS1267
;................................
	bsf	CLK		;rotace (bit b0 bezezmny)
	bcf	CLK
;................................
	bsf	RP0		;nastav DQ jako vstup
	bcf	DQ
	bsf	RP0
;................................
	movlw	08h		;vysln rPot
	movwf	CtBits		;do potenciometru 1
WrP11	bsf	DQ		;nastav DQ podle 
	rlf	rPot,f		;vyslanho bitu
	btfss	C
	bcf	DQ
	bsf	CLK		;vyli CLK impuls
	bcf	CLK
	decfsz	CtBits,f
	goto	WrP11
;................................
	movlw	08h		;osm rotac (potenciometr0
	movwf	CtBits		;bezezmny
WrP12	bsf	CLK		
	bcf	CLK		
	decfsz	CtBits,f
	goto	WrP12
;................................
	bcf	NRST		;stav shiftreg. do registr
				;potenciometru
;................................
	return
;**********************************************************
	END
