;**********************************************************
; Pepnut DS1821 mezi reimy programovn/termostat
;..........................................................
; DQ je pipojen k RA0, Vdd k RA1 mikrokontrolru PIC16F84
; fosc = 4 MHz
; RA0 nastaven jako vstup, RA1 nastaven jako vstup
;**********************************************************
w	equ	0
f	equ	1
PortA	equ	05h
TMP	equ	10h
;..........................................................
#define	C	03h,0		;bity SWR registru
#define	Z	03h,2
#define	RP0	03h,5
;..........................................................
#define	DQ	PortA,0
#define	VDD	PortA,1
;**********************************************************
tgmode	movlw	1ch		;vypni napjen Vdd
	movwf	PortA
;................................
tgm1	btfss	DQ		;ekej na DQ = H
	goto	tgm1	
;................................
	bsf	RP0		;ovldn TRIS (DQ vysok
	movlw	10h		;impedance - LOW)
	movwf	TMP		
tgm2	bcf	DQ		;vyli 16 pulz na DQ
	bsf	DQ
	decfsz	TMP,f
	goto	tgm2
	bcf	RP0		;prce s IO porty
	bsf	VDD		;DQ jako vstup, Vdd do H
	return
;**********************************************************
	END
