;**********************************************************
; Podprogram pro vysln IR kdu (jako IR ovlada YOKO)
;..........................................................
; fosc = 4 MHz
; Nosn frekvence IR zen 38 kHz
; Kd uloen v registru KodH a KodL
; MSB IR kdu je v MSB KodH
; Poet bit kdu je uloenv NumBit
;**********************************************************
SWR	equ	03h
KodH	equ	11h
KodL	equ	10h
NumP	equ	0dh
NumBit	equ	0eh
TMPCas	equ	0fh
PortB	equ	06h
;.......................
#define	C	SWR,0
#define	OutIR	PortB,0
;**********************************************************
irtx	movlw 	.12		;poet vyslanch bit 12
	movwf	NumBit
irtx1	rlf	KodL,f		;vyslan bit do C
	rlf	KodH,f
	btfss	C
	goto	txzero
;..........................................................
; Vyli jedniku 0.5 ms vyslej, 1.25 ms nevyslej
;..........................................................
	movlw	.19 		;vyli 19 IR impuls
	movwf	NumP		;vyslej 0.5 ms
;................................................
txone	movlw	02h		;generuj jeden impuls
	movwf	TMPCas
	bsf	OutIR		;zapni IR LED na 9 mikrosec	
txone1	decfsz	TMPCas,f	
	goto	txone1
	nop
	nop
	nop
	bcf	OutIR		;vypni IR LED na 17 mikrosec
	movlw	03h
	movwf	TMPCas
	nop
txone2	decfsz	TMPCas,f
	goto	txone2
;.......................
	decfsz	NumP,f
	goto	txone
;..........................................................
	movlw	0f9h		;nevyslej 1.25 ms
	movwf	TMPCas
txone3	nop
	nop
	decfsz	TMPCas,f
	goto	txone3
	nop
	nop
;..........................................................
irtx2	decfsz	NumBit,f
	goto	irtx1
	return	
;**********************************************************
;..........................................................
; Vyli nulu 1.25 ms vyslej, 0.5 ms nevyslej
;..........................................................
txzero	movlw	.48 		;vyli 47.5 IR impuls
	movwf	NumP		;vyslej 1.25 ms
;................................................
txzer0	movlw	02h		;generuj jeden impuls
	movwf	TMPCas
	bsf	OutIR		;zapni IR LED na 9 mikrosec	
txzer1	decfsz	TMPCas,f	
	goto	txzer1
	nop
	nop
	nop
	bcf	OutIR		;vypni IR LED na 17 mikrosec
	movlw	03h
	movwf	TMPCas
	nop
txzer2	decfsz	TMPCas,f
	goto	txzer2
;.......................
	decfsz	NumP,f
	goto	txzer0
;..........................................................
	movlw	62h		;nevyslej 0.5 ms
	movwf	TMPCas
txzer3	nop
	nop
	decfsz	TMPCas,f
	goto	txzer3
	goto irtx2
;..........................................................

	end
